#include "config.h"

config::config(QWidget *parent)
    : QWidget(parent)
{
    list = new QListWidget; //б

    list->setIconSize(QSize(256,128)); //ICONͼƬС
    list->setSpacing(12); //ü
    list->setViewMode(QListView::IconMode); //Ϊͼģʽ
    list->setMaximumWidth(200); //Ϊ180180ͻԶһ
                                //ͼƬĿ180
    list->setMovement(QListView::Static); //ͼ겻ƶ
    //itemĿ
    QListWidgetItem *item1= new QListWidgetItem;
    item1->setIcon(QIcon(":/item1.png"));
    item1->setText(tr(""));
    QListWidgetItem *item2= new QListWidgetItem;
    item2->setIcon(QIcon(":/item2.png"));
    item2->setText(tr("·"));
    QListWidgetItem *item3= new QListWidgetItem;
    item3->setIcon(QIcon(":/item3.png"));
    item3->setText(tr("µ"));

    //Ŀӵб
    list->addItem(item1);
    list->addItem(item2);
    list->addItem(item3);

    QPushButton *btn=new QPushButton;
    connect(btn,SIGNAL(clicked()),this,SLOT(close()));
    btn->setText(tr("ر"));

    InfoWidget = new QStackedWidget;
    page1=new MyPage1;
    page2=new MyPage2;
    page3=new MyPage3;
    InfoWidget-> addWidget(page1);
    InfoWidget-> addWidget(page2);
    InfoWidget-> addWidget(page3);
    connect(list,SIGNAL(currentRowChanged(int)),this,SLOT(pagechanged(int)));

   // QVBoxLayout *vlayout=new QVBoxLayout(this); //ֹ
    //vlayout->addWidget(list);
   // vlayout->addWidget(btn);
    //this->setLayout(vlayout);

    QHBoxLayout *hlayout = new QHBoxLayout;
    hlayout->addWidget(list);
    hlayout->addWidget(InfoWidget);

    QGridLayout *mainlayout=new QGridLayout(this);
    mainlayout->addLayout(hlayout,0,0,1,6);
    mainlayout->addWidget(btn,1,5,1,1);

    this->resize(800,600);
}

config::~config()
{

}

void config::pagechanged(int index)
{
    InfoWidget->setCurrentIndex(index);
}
