#include "clock.h"
#include "crc.h"

Clock::Clock(QWidget *parent)
    : QWidget(parent)
{
    QTimer *timer = new QTimer(this);
    timer->start(1000); //ʱΪ1000Ϊms
    connect(timer,SIGNAL(timeout()),this,SLOT(update())); //ʱtimeoutźŻᴥupdate´
                                                          //updateԶ paintEvent
    resize(200,200);
    cpp();
}

Clock::~Clock()
{

}

void Clock::paintEvent(QPaintEvent *)
{
    QPainter paint(this);  //thisʾ Clockڻ
    QTime time = QTime::currentTime(); //ȡϵͳǰʱ
    /*
    // paint.drawLine(0,0,100,100); //һ
                                 //ĬϵϽ
    paint.translate(100,100);    //ıϵ൱0
    paint.drawLine(0,0,100,100);
    */

    paint.translate(100,100);
    //룬֣ʱ==
    paint.setRenderHint(QPainter::Antialiasing); //
    paint.setBrush(Qt::red); //ڲɫ
    paint.setPen(Qt::red);  //ɫ
    paint.save(); //ϵ
    paint.rotate(6.0*time.second());
    paint.drawConvexPolygon(sed,4); //sedĵɵĶ
    paint.restore(); //ָϵ

    paint.setBrush(Qt::blue);
    paint.setPen(Qt::blue);
    paint.save();
    paint.rotate(6.0*(time.minute()+time.second()/60.0));
    paint.drawConvexPolygon(min,4);
    paint.restore();

    paint.setBrush(Qt::black);
    paint.setPen(Qt::black);
    paint.save();
    paint.rotate(6.0*(time.hour()+time.minute()/60.0));
    paint.drawConvexPolygon(hour,4);
    paint.restore();
    //--

   //ƿ̶
    for(int i=0;i<12;i++)
    {
       paint.rotate(30);
       paint.drawLine(0,-98,0,-88);
    }
}
